List
Date: 2016-06-24

java.util

## Interface List

- All Superinterfaces:
    Collection
  All Known Implementing Classes:
    AbstractList, AbstractSequentialList, ArrayList, LinkedList, Stack, Vector

      public interface List
      extends Collection

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(int var0, Object var1)`
    `boolean` | `addAll(int var0, Collection var1)`
    `boolean` | `equals(Object var0)`
    `Object` | `get(int var0)`
    `int` | `hashCode()`
    `int` | `indexOf(Object var0)`
    `int` | `lastIndexOf(Object var0)`
    `ListIterator` | `listIterator()`
    `ListIterator` | `listIterator(int var0)`
    `Object` | `remove(int var0)`
    `Object` | `set(int var0, Object var1)`
    `List` | `subList(int var0, int var1)`

    - ### Methods inherited from interface java.util.Collection

      `add, addAll, clear, contains, containsAll, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

- - ### Method Detail

    - #### add

          void add(int var0,
                 Object var1)

    - #### addAll

          boolean addAll(int var0,
                       Collection var1)

    - #### equals

          boolean equals(Object var0)

      Specified by:
        `equals` in interface `Collection`
      Overrides:
        `equals` in class `Object`

    - #### get

          Object get(int var0)

    - #### hashCode

          int hashCode()

      Specified by:
        `hashCode` in interface `Collection`
      Overrides:
        `hashCode` in class `Object`

    - #### indexOf

          int indexOf(Object var0)

    - #### lastIndexOf

          int lastIndexOf(Object var0)

    - #### listIterator

          ListIterator listIterator()

    - #### listIterator

          ListIterator listIterator(int var0)

    - #### remove

          Object remove(int var0)

    - #### set

          Object set(int var0,
                   Object var1)

    - #### subList

          List subList(int var0,
                     int var1)